Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVersion Class Reference

`#include <vtkVersion.h>`

Inheritance diagram for vtkVersion:

[legend]
Collaboration diagram for vtkVersion:

[legend]
List of all members.

## Detailed Description

Versioning class for vtk.

Date:
  2003/02/18 03:45:04

Revision:
  1.1495

Holds methods for defining/determining the current vtk version (major, minor, build).

Warning:
  This file will change frequently to update the VTKSourceVersion which timestamps a particular source release.

Definition at line 39 of file vtkVersion.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
## Static Public Methods
vtkVersion * | New ()
int | IsTypeOf (const char *type)
vtkVersion * | SafeDownCast (vtkObject *o)
const char * | GetVTKVersion ()
int | GetVTKMajorVersion ()
int | GetVTKMinorVersion ()
int | GetVTKBuildVersion ()
const char * | GetVTKSourceVersion ()
## Protected Methods
| vtkVersion ()
| ~vtkVersion ()

## Member Typedef Documentation

typedef vtkObject vtkVersion::Superclass

| Reimplemented from vtkObject. Definition at line 43 of file vtkVersion.h.

## Constructor & Destructor Documentation

vtkVersion::vtkVersion | ( |  | ) | `[inline, protected]`

| Definition at line 57 of file vtkVersion.h.

vtkVersion::~vtkVersion | ( |  | ) | `[inline, protected]`

| Definition at line 58 of file vtkVersion.h.

## Member Function Documentation

vtkVersion* vtkVersion::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkVersion::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkVersion::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkVersion::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkVersion* vtkVersion::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

const char* vtkVersion::GetVTKVersion | ( |  | ) | `[inline, static]`

| Return the version of vtk this object is a part of. A variety of methods are included. GetVTKSourceVersion returns a string with an identifier which timestamps a particular source tree. Definition at line 49 of file vtkVersion.h.

int vtkVersion::GetVTKMajorVersion | ( |  | ) | `[inline, static]`

| Return the version of vtk this object is a part of. A variety of methods are included. GetVTKSourceVersion returns a string with an identifier which timestamps a particular source tree. Definition at line 50 of file vtkVersion.h.

int vtkVersion::GetVTKMinorVersion | ( |  | ) | `[inline, static]`

| Return the version of vtk this object is a part of. A variety of methods are included. GetVTKSourceVersion returns a string with an identifier which timestamps a particular source tree. Definition at line 51 of file vtkVersion.h.

int vtkVersion::GetVTKBuildVersion | ( |  | ) | `[inline, static]`

| Return the version of vtk this object is a part of. A variety of methods are included. GetVTKSourceVersion returns a string with an identifier which timestamps a particular source tree. Definition at line 52 of file vtkVersion.h.

const char* vtkVersion::GetVTKSourceVersion | ( |  | ) | `[inline, static]`

| Return the version of vtk this object is a part of. A variety of methods are included. GetVTKSourceVersion returns a string with an identifier which timestamps a particular source tree. Definition at line 53 of file vtkVersion.h. References VTK_SOURCE_VERSION.

The documentation for this class was generated from the following file:

- Common/vtkVersion.h